Interface to In-Network Functions (I2INF): Problem Statement
Jaehoon Paul Jeong, Ed.
Department of Computer Science & Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4957
+82 31 290 7996
pauljeong@skku.edu
http://iotlab.skku.edu/people-jaehoon-jeong.php
Yiwen Shen
Department of Computer Science & Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
chrisshen@skku.edu
https://chrisshen.github.io
Yoseop Ahn
Department of Computer Science & Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
ahnjs124@skku.edu
http://iotlab.skku.edu/people-Ahn-Yoseop.php
Younghan Kim
School of Electronic Engineering
Soongsil University
369, Sangdo-ro, Dongjak-gu
Seoul
06978
Republic of Korea
younghak@ssu.ac.kr
Elias P. Duarte Jr.
Department of Informatics
Federal University of Parana
Brazil
elias@inf.ufpr.br
Kehan Yao
China Mobile
Beijing
100053
China
yaokehan@chinamobile.com
3 November 2024
Operations and Management Area
Operations and Management Area Working Group
Internet-Draft
This document specifies the problem statement for the Interface to In-Network Functions (I2INF) for user services both on the network-level and application-level. In-Network Functions (INF) include In-Network Computing Functions (INCF) which are defined in the context of Network Functions Virtualization (NFV) and Software-Defined Networking (SDN). INF also includes In-Network Application Functions (INAF) which appear in the context of Internet-of-Things (IoT) Devices, Software-Defined Vehicles (SDV), and Unmanned Aerial Vehicles (UAV). Intent-Based Networking (IBN) can be used to compose user services and consist of a combination of INFs in a target network. This document investigates the need for a standard framework with the interfaces for INFs, in terms of applications with the need to run Artificial Intelligence (AI) in the network and interoperability among multi-vendor INFs.

Introduction
Network softwarization has been widely adopted in multiple environments, such as in cloud and edge computing, as well as in the network infrastructure itself, facilitating the deployment of network services (e.g., 5G mobile networks [TS-23.501]). The multiple technologies behind network softwarization include Network Functions Virtualization (NFV) [ETSI-NFV][ETSI-NFV-Release-2] and Software-Defined Networking (SDN) [RFC7149]. Furthermore, there is also an integration with Intent-Based Networking (IBN) [RFC9315][Survey-IBN-CST-2023], which can be used to define and deploy intelligent network services as well as intelligent application services. End-user devices such as smartphones and smartwatches are connected to various Internet-of-Things (IoT) devices for customer-tailored services. Recently, Software-Defined Vehicles (SDVs) [AUTOSAR-SDV][Eclipse-SDV][COVESA] have the potential to become as popular as smartphones. SDVs are intended to use network softwarization technologies such as NFV and SDN. System components and applications in the context of SDVs are usually executed on containers in a cloud native environment and can be orchestrated for instance with Kubernetes [Kubernetes].
There is an undeniable trend towards using Artificial Intelligence (AI) to improve multiple complex network operations. AI can, for instance, enable the creation of dynamic, adaptable security policies, which are particularly important in the cloud-edge-core-continuum, which is by definition a heterogeneous environment to which different parts can bring advantages, challenges and threats. AI has been successfully used in the context of intrusion detection, but it also improves troubleshooting, being able to predict problems before they occur. AI can learn from telemetry data collected from multiple networks and reach conclusions that can be applied globally or to individual networks. In all these cases, there are tremendous benefits to running AI processes within the network itself.
In this context, network automation and management have become critical. It is important to facilitate the construction of intelligent services and applications for both network operators and end users [I-D.jeong-nmrg-ibn-network-management-automation]. A user intent (who can be an end user or network operator) in the form of either text or voice needs to be understood and processed by the system. An intent is a declarative request for a specific goal rather than an imperative request having a series of configuration or commands for specific operations. Thus, an intent needs to be translated into a network policy or an application policy that satisfies the user request. A network policy consists of rules to execute a user intent, which can be for instance defined in terms of Quality of Service (QoS) requirements, defining targets for metrics such as throughput and delay. An application policy consists of rules to execute the service's application demands, for example in terms of functionality and timing. After network and application polices are translated, there is a need to invoke the appropriate Network Functions (NF) in the network infrastructure, edge, or cloud.
Thus, a user intent has to be translated either into a network policy executed as a network service on the network infrastructure or an application policy for an application service. For example, services for user applications (e.g., video conference) need to be accurately configured and efficiently processed by not only Application Functions (AF) such as a client (e.g., a video conference client) and a server (e.g., a video conference server), but also Network Functions (NF) (e.g., video broadcast coordinator) defined in the context of Computing in the Network (COIN) [I-D.irtf-coinrg-use-cases][NFV-COIN].
In the context of Computing in the Network (COIN) terminology [I-D.irtf-coinrg-coin-terminology], a Programmable Network Device (PND) in an In-Network Computing (INC) environment can have multiple kinds of features and capabilities. A PND can also interact with other PNDs. PNDs from different product lines or vendors can provide different functionalities for INC functions. In order to compose a COIN system consisting of multiple PDNs that interact among themselves, it is necessary to define a standard interface for PNDs to expose so that they can learn about each other's capabilities and properly interact.
A standard framework to define the interfaces of Application Functions (AFs) and Network Functions (NFs) is required to allow the configuration and monitoring of applications and network services consisting of those functions. There is currently no standard data model to describe the capabilities of AFs and NFs. Furthermore, there is no standard data model defining an interface to register the capabilities of AFs and NFs on a controller-like device that would process service requests for those functions. In addition, there are no standard interfaces to configure and monitor those AFs and NFs according to user's intent. The Interface to Network Security Functions (I2NSF) was standardized for the control and management of Network Security Services with Network Security Functions (NSFs) [RFC8329][I-D.ietf-i2nsf-applicability]. The present document is defined taking into account the I2NSF document, but the purpose is beyond the scope of Security Functions, defining a more general control and management framework for intelligent services consisting of AFs and NFs.
This document specifies the problem statement and use cases for the Interface to In-Network Functions (I2INF) considering arbitrary In-Network Functions (INFs) presenting arbitrary features and capabilities. The INFs consist of Network Functions (NFs) including PNDs and Application Functions (AFs) in order to compose a user's services. First of all, INFs include In-Network Computing Functions (INCF) which are NFs defined within the context of NFV and SDN [I-D.irtf-coinrg-use-cases]. Secondly, they also include In-Network Application Functions (INAF) which are AFs employed by Internet-of-Things (IoT) Devices, Software-Defined Vehicles (SDV) [AUTOSAR-SDV][Eclipse-SDV][COVESA], and Unmanned Aerial Vehicles (UAV). Finally, this document shows how Intent-Based Networking (IBN) can be realized with the proposed I2INF framework and its interfaces for user services that consist of a combination of INFs in a target network.
Note that a standard framework for In-Network Functions is the only way to provide the interoperability of diverse autonomous systems and networks on the service-level. The proposed I2INF allows the integration of existing and new services implemented with different technologies, at different locations (e.g., cloud or edge) each with different requirements and functionalities. It can also have an impact on innovation, as it provides a new level of integration for various INFs. The standard interfaces for the INFs can also allow global-level decisions to be enforced, such as those related to elasticity and scalability.

Terminology
This document uses the terminology described in [RFC9315], [RFC8329], [I-D.irtf-coinrg-coin-terminology], [I-D.irtf-coinrg-use-cases], [I-D.jeong-i2nsf-security-management-automation], [I-D.jeong-nmrg-ibn-network-management-automation], and [I-D.yang-i2nsf-security-policy-translation]. In addition, the following terms are defined below:
- Intent: the set of operational goals (that a network should meet) and outcomes (that a network is supposed to deliver) defined in a declarative manner without specifying how they are achieved or should be implemented [RFC9315].
- Intent-Based System (IBS): the system that enforces an intent from a user (or administrator) into a target system (e.g., SDV). An intent can be expressed in Natural Language (e.g., English) and can be translated into a policy (i.e., network policy and application policy) using Natural Language Processing (NLP) [USENIX-ATC-Lumi] [BERT] [Deep-Learning]. In this document, the intent can be translated into a corresponding high-level policy by an intent translator [I-D.jeong-i2nsf-security-management-automation]. The high-level policy can also be translated into the corresponding low-level policy by a policy translator [I-D.yang-i2nsf-security-policy-translation]. The low-level policy is dispatched to appropriate Service Functions (SFs). Through the monitoring of the SFs, the activity and performance of the SFs is monitored and analyzed. If needed, the rules of the high-level or low-level network policy are augmented or new rules are generated and configured to appropriate SFs.
- Mobile Object (MO): the object that is capable of moving with its own power source and wireless communication capability, e.g., in the context of 5G Vehicle-to-Everything (e.g., 5G V2X). An MO can be an Internet-of-Things (IoT) device, Software-Defined Vehicle (SDV) [AUTOSAR-SDV][Eclipse-SDV][COVESA], and Unmanned Aerial Vehicle (UAV). An MO is a Programmable Network Device (PND) [I-D.irtf-coinrg-coin-terminology] that can be reconfigured for different network requirements inside the MO.
- In-Network Computing Functions (INCF): the service functions that do the computing in the network infrastructure. They are a group of COIN programs [I-D.irtf-coinrg-coin-terminology] to provide required computing tasks and functions.
- In-Network Application Functions (INAF): the service functions that work for applications in Mobile Objects. They are a group of COIN programs [I-D.irtf-coinrg-coin-terminology] to provide the required application tasks and functions.
- Interface to In-Network Functions (I2INF): the interfaces that are used between a pair of INFs for the interaction, configuration and monitoring.
- A Framework for the Interface to In-Network Functions (I2INF): the framework that consists of components and interfaces to configure and monitor INFs that can be employed by applications and services in the network infrastructure and MOs.

Problem Statement for Interface to In-Network Functions
This section starts with a description and examples of In-Network Computing Functions. Next, an overview of Intent-Based Networking (IBN) is presented, and finally the Problem Statement for the Interface to In-Network Functions (I2INF). Figure 1 shows Wireless and Wired Networks of a Central Cloud. The I2INF framework includes network entities and Mobile Objects (MO). Figure 2 shows a VNF-Consensus Architecture that allows the I2INF framework to synchronize flow table information of replicated SDN Controllers all in the same Edge Cloud [NFV-COIN]. These are example networks within the I2INF problem space.

I2INF Framework: Wireless and Wired Networks in a Central Cloud

                                  Central Cloud
                   *******************************************
                 *                                             *
                *              +------------------+             *
               *               | Cloud Controller |              *
               *               +------------------+              *
               *                         ^                       *
                *                        |                      *
                 *                       v                     *
                   *******************************************
                    ^                   ^                    ^
                    |                   |                    |
                    V                   V                    V
              +-----------+       +-----------+        +-----------+
              |Edge-Cloud1|       |Edge-Cloud2|        |Edge-Cloud3|
              +-----------+       +-----------+        +-----------+
                    ^                   ^                    ^
                    |                   |                    |
                    V                   V                    V
               +---------+         +---------+         +---------+
               | IP-RSU1 |<------->| IP-RSU2 |<------->| IP-RSU3 |
               +---------+         +---------+         +---------+
                    ^                   ^                    ^
                    :                   :                    :
           +-----------------+ +-----------------+   +-----------------+
           |        : V2I    | |        : V2I    |   |       : V2I     |
           |        v        | |        v        |   |       v         |
+--------+ |   +--------+    | |   +--------+    |   |   +--------+    |
|   MO1  |===> |   MO2  |===>| |   |   MO3  |===>|   |   |   MO4  |===>|
+--------+<...>+--------+<........>+--------+    |   |   +--------+    |
           V2V     ^         V2V        ^        |   |        ^        |
           |       : V2V     | |        : V2V    |   |        : V2V    |
           |       v         | |        v        |   |        v        |
           |  +--------+     | |   +--------+    |   |    +--------+   |
           |  |   MO5  |===> | |   |   MO6  |===>|   |    |   MO7  |==>|
           |  +--------+     | |   +--------+    |   |    +--------+   |
           +-----------------+ +-----------------+   +-----------------+
                 Subnet1              Subnet2              Subnet3
                (Prefix1)            (Prefix2)            (Prefix3)

        <----> Wired Link   <....> Wireless Link   ===> Moving Direction

I2INF Framework: VNF-Consensus in an Edge Cloud

                        Edge Cloud                      Central Cloud
        ******************************************        **********
       *                                          *     *            *
      *                                            *   * +----------+ *
      *  +---------------+   +-----------------+   *   * |  Cloud   | *
      *  | VNF-Consensus |<->| Edge Controller |<->*<->* |Controller| *
      *  +-------^-------+   +--------^--------+   *   * +----------+ *
      *          |                    |            *   *              *
       *         v                    V           *     *            *
        ******************************************        **********
        ^                    ^                    ^
        |                    |                    |
        V                    V                    V
+---------------+    +---------------+    +---------------+
|SDN-Controller1|    |SDN-Controller2|    |SDN-Controller3|
+---------------+    +---------------+    +---------------+
        ^                    ^                    ^
        |                    |                    |
        V                    V                    V
+---------------+    +---------------+    +---------------+
|   +-----+     |    |   +-----+     |    |   +-----+     |
|   | SW1 |     |    |   | SW3 |     |    |   | SW5 |     |
|   +---^-+     |    |   +---^-+     |    |   +---^-+     |
|       |       |    |       |       |    |       |       |
|     +-V---+   |    |     +-V---+   |    |     +-V---+   |
|     | SW2 |   |    |     | SW4 |   |    |     | SW6 |   |
|     +-----+   |    |     +-----+   |    |     +-----+   |
+---------------+    +---------------+    +---------------+
   SDN-Network1         SDN-Network2         SDN-Network3
     (Prefix1)            (Prefix2)            (Prefix3)

<----> Wired Link

In-Network Computing Functions
A large variety of In-Network Computing Functions (INCF) have been proposed for the implementation of various services implemented with COIN (COmputing In-the Network) which is based on network softwarization technologies, mainly NFV and SDN [I-D.irtf-coinrg-use-cases][NFV-COIN].
The COIN Use Cases Document [I-D.irtf-coinrg-use-cases] proposes four kinds of use cases for In-Network Computing. Those use cases are (i) Providing New COIN Experiences, (ii) Supporting New COIN Systems, (iii) Improving Existing COIN Capabilities, and (iv) Enabling New COIN Capabilities.
1. For Providing New COIN Experiences, the document describes mobile application offloading and Extended Reality (XR) and immersive media.
2. For Supporting New COIN Systems, the document describes In-Network Control, Time-Sensitive Applications, Large Volume Applications, and Industrial Safety.
3. For Improving Existing COIN Capabilities, the document describes Content Delivery Networks (CDN), Compute-Fabric-as-a-Service (CFaaS), and Virtual Network Programming (e.g., P4 programs and OpenFlow rules).
4. For Enabling New COIN Capabilities, the document describes Distributed AI Training among geographically dispersed endpoints for solving large-scale problems.
NFV-COIN [NFV-COIN] describes three use cases for In-Network Computing. Its use cases are (i) NFV Failure Detection, (ii) Virtual Network Function (VNF) Consensus, and (iii) NFV Reliable Broadcast.
1. NFV Failure Detection is an NFV-based failure detector that obtains monitoring data from SDN Switches via an SDN Controller and also detects the failure of communication links. This failure detector is a standalone NF and is thus separated from the SDN Controller and thus it does not sacrifice SDN Controller performance (e.g., CPU usage).
2. VNF Consensus is a consensus service that performs the synchronization of the control planes of replicated SDN Controllers. This consensus service does not require any modification of both the data plane and control plane of SDN switches and controllers. Through the consensus service, if a new rule is configured by an SDN Controller, this rule is reliably distributed to all the other SDN Controllers through the VNF-Consensus service.
3. NFV Reliable Broadcast is an NFV-based broadcast service (NFV-RBCast) that provides both reliable and ordered delivery of messages. This ordered broadcast is implemented by NFV-RBCast using a VNF-Sequencer. A flow to be broadcast the NFV- RBCast service causes an SDN Controller to install a forwarding rule on the necessary SDN Switches. All the packets of the flow are forwarded to the VNF-Sequencer. The VNF-Sequencer inserts a sequence number into each of those forwarded packets, and sends them to the destination.
Functionalities of each service need to be decomposed into AFs and NFs in edge computing. The management and configuration of those AFs and NFs is a functionality that must be provided by a service coordinator in the context of COIN-based network services. There is currently no framework or interfaces defined as standards specifying the life cycle of COIN-based services.

Intent-Based Networking
According to [RFC9315] the intent life cycle of an Intent-Based System (IBS) is shown in Figure 3. The life cycle involves intent management for network entities and MOs. RFC9215 divides the IBS life cycle into three spaces, namely MO User Space, Translation & IBS Space, and Network Operations (Ops) & Application (App) Space. Each space is further subdivided into two sections, fulfillment and assurance. The fulfillment section pipelines the steps (i.e., intent input, translation/refinement, learning/planning/rendering, and configuration/provisioning) toward the final SFs such as Network Functions (NFs) and Application Functions (AFs) in MOs. The assurance section monitors final results of the intent fulfillment to validate and analyze the resulted NFs and applications for MOs.

Intent Management: IBS Intent Life Cycle

        IBS User     :            Translation/          : Network Ops/
          Space      :             IBS Space            :  App Space
Fulfill              :                                  :
       +----------+  :  +------------+   +------------+ : +-----------+
       |Recognize/|---->| Translate/ |-->|   Learn/   |-->| Configure/|
       | Generate |  :  |   Refine   |   |   Plan/    | : | Provision |
       | Intent   |<----|            |   |   Render   | : |           |
       +----------+  :  +------------+   +------------+ : +-----------+
            ^        :                         ^        :       |
............|..................................|................|.....
            |        :                    +----------+  :       v
            |        :                    | Validate |  :  +----------+
            |        :                    +----^-----+<----| Monitor/ |
Assure      |        :                         |        :  | Observe  |
        +--------+   :  +----------+      +----------+<----|          |
        | Report |<-----| Abstract |<-----| Analyze/ |  :  +----------+
        +--------+   :  +----------+      | Aggregate|  :
                     :                    +----------+  :

The life cycle in Figure 3 is presented as a conceptual view and needs to be made concrete in the form of a framework with interfaces among components in the framework. The data models of an intent, a network policy, and an application policy should be specified using either YANG [RFC6020][RFC7950] or YAML [YAML]. Messages are to be delivered to target components via some message delivery protocol, such as NETCONF [RFC6241], RESTCONF [RFC8040], or REST API [REST].

Problem Statement
The goal of an Intent-Based System (IBS) is to enforce the service corresponding to a user's intent with an appropriate application in a target network in terms of functionality and quality [RFC9315][RFC8329] [I-D.jeong-i2nsf-security-management-automation] [I-D.jeong-nmrg-ibn-network-management-automation]. To achieve this goal, first of all, an intent needs to be translated into either a network policy or an application policy by an intent translator [I-D.jeong-nmrg-ibn-network-management-automation] [I-D.yang-i2nsf-security-policy-translation]. Then those network policies and application policies need to be delivered to a network controller and an application controller, respectively. The network controller further translates the network policy into the network rules to be sent to the network entities (i.e., NFs). In the same way, the application controller further translates the application policy into the application rules to be sent to the application entities (i.e., AFs).
For the translation of either an intent or a policy, the capabilities of NFs and AFs should be registered with databases (e.g., NF database and AF database). Thus, a capability data model for those NFs and AFs should be specified [I-D.ietf-i2nsf-capability-data-model]. Also, a registration interface is required for an NF or AF vendor to register its NF or AF with the corresponding database such as the NF database and the AF database, respectively [I-D.ietf-i2nsf-registration-interface-dm]. Therefore, a data model for this registration interface should be specified to make a registration message for the Vendor's Management System (VMS) [RFC8329].
An IBS user needs an interface to send an intent to an IBS controller (e.g.., Cloud Controller in Figure 1), it must have an intent translator, which translates the intent into a network policy or an application policy, and a dispatcher, which dispatches the policies to appropriate destinations (e.g, NF controller and AF controller). This interface is called a Customer-Facing Interface (CFI) for the IBS user [I-D.ietf-i2nsf-consumer-facing-interface-dm]. A data model for the Customer-Facing Interface should also be specified.
Both an NF controller and an AF controller need an interface to deliver the network rules and the application rules to the appropriate NFs and the appropriate AFs, respectively. This interface is called a Service Function-Facing Interface (SFI) for both the NF controller and the AF controller [I-D.ietf-i2nsf-nsf-facing-interface-dm].
For the assurance of the intent in the target network and application, the collection and analysis of monitoring data from the NFs and AFs is required. A Monitoring Interface [I-D.ietf-i2nsf-nsf-monitoring-data-model] is an interface to collect monitoring data from either an NF or an AF to a data collector (e.g., IBS analyzer [I-D.lingga-i2nsf-analytics-interface-dm] [TS-23.288][TS-29.520]). For further actions, the analysis results of the NF and the AF should be reported to the NF controller and the AF controller, respectively. An Analytics Interface is an interface to deliver analysis results to either an NF controller or an AF controller [I-D.lingga-i2nsf-analytics-interface-dm].
The required data models can be constructed by either YANG [RFC6020][RFC7950] or YAML [YAML]. The message delivery protocol for the interfaces can be one among NETCONF [RFC6241], RESTCONF [RFC8040], or REST API [REST].

IANA Considerations
This document does not require any IANA actions.

Security Considerations
The same security considerations for the Interface to Network Security Functions (I2NSF) Framework [RFC8329] are applicable to the Intent-Based System this document.

Normative References

Informative References
[YAML]

Yet Another Markup Language (YAML) 1.0
B. Ingerson
C. Evans
O. Ben-Kiki
October 2023
Available: https://yaml.org/spec/history/2001-05-26.html
[TS-23.501]

System Architecture for the 5G System (5GS)
3GPP TS 23.501 V18.3.0
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3144
[TS-28.312]

Intent Driven Management Services for Mobile Networks
3GPP TS 28.312 V18.1.1
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3554
[TR-28.812]

Study on Scenarios for Intent Driven Management Services for Mobile Networks
3GPP TR 28.812 V17.1.0
December 2020
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3553
[TS-23.288]

Architecture Enhancements for 5G System (5GS) to Support Network Data Analytics Services
3GPP TS 23.288 V18.3.0
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3579
[TS-29.520]

Network Data Analytics Services
3GPP TS 29.520 V18.3.0
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3355
[ETSI-NFV]

Network Functions Virtualisation (NFV); Architectural Framework
ETSI GS NFV 002 V1.2.1
December 2014
Available: https://www.etsi.org/deliver/etsi_gs/nfv/001_099/002/01.02.01_60/gs_nfv002v010201p.pdf
[ETSI-NFV-Release-2]

Network Functions Virtualisation (NFV) Release 2; Management and Orchestration; Architectural Framework Specification
ETSI GS NFV 006 V2.1.1
January 2021
Available: https://www.etsi.org/deliver/etsi_gs/nfv/001_099/006/02.01.01_60/gs_nfv006v020101p.pdf
[NFV-COIN]

NFV-COIN: Unleashing The Power of In-Network Computing with Virtualization Technologies
G. Venancio
R. Turchetti
E. Duarte Jr.
December 2022
SBC Journal of Internet Services and Applications
Available: https://journals-sol.sbc.org.br/index.php/jisa/article/view/2342
[REST]

Principled Design of the Modern Web Architecture
R. Fielding
R. Taylor
May 2002
ACM Transactions on Internet Technology, Vol. 2, Issue 2,
Available: https://dl.acm.org/doi/10.1145/514183.514185
[USENIX-ATC-Lumi]

Hey, Lumi! Using Natural Language for Intent-Based Network Management
A. Jacobs
R. Pfitscher
R. Ribeiro
R. Ferreira
L. Granville
W. Willinger
S. Rao
July 2021
USENIX Annual Technical Conference
Available: https://www.usenix.org/conference/atc21/presentation/jacobs
[BERT]

BERT: Pre-training of Deep Bidirectional Transformers for Language Understanding
J. Devlin
M. Chang
K. Lee
K. Toutanova
June 2019
NAACL-HLT Conference
Available: https://aclanthology.org/N19-1423.pdf
[Deep-Learning]

Deep Learning
I. Goodfellow
Y. Bengio
A. Courville
November 2016
Publisher: The MIT Press
Available: https://www.deeplearningbook.org/
[AUTOSAR-SDV]

AUTOSAR Adaptive Platform
AUTOSAR
March 2024
Available: https://www.autosar.org/standards/adaptive-platform
[Eclipse-SDV]

Eclipse Software Defined Vehicle Working Group Charter
Eclipse
March 2024
Available: https://www.eclipse.org/org/workinggroups/sdv-charter.php
[COVESA]

Connected Vehicle Systems Alliance
COVESA
March 2024
Available: https://covesa.global/
[Kubernetes]

Kubernetes: Cloud Native Computing Platform
Kubernetes
March 2024
Available: https://kubernetes.io/
[Survey-IBN-CST-2023]

A Survey on Intent-Based Networking
A. Leivadeas
M. Falkner
March 2023
Available: https://ieeexplore.ieee.org/document/9925251
[ClickINC]

ClickINC: In-network Computing as a Service in Heterogeneous Programmable Data-center Networks
W. Xu
Z. Zhang
Y. Feng
H. Song
Z. Chen
W. Wu
G. Liu
Y. Zhang
S. Liu
Z. Tian
B. Liu
September 2023
Publisher: ACM SIGCOMM
Available: https://dl.acm.org/doi/10.1145/3603269.3604835
[RFC7149]
[RFC9315]
[I-D.jeong-nmrg-ibn-network-management-automation]
[I-D.irtf-coinrg-use-cases]
[I-D.irtf-coinrg-coin-terminology]
[RFC8329]
[I-D.ietf-i2nsf-applicability]
[I-D.jeong-i2nsf-security-management-automation]
[I-D.yang-i2nsf-security-policy-translation]
[RFC6020]
[RFC7950]
[RFC6241]
[RFC8040]
[I-D.ietf-i2nsf-capability-data-model]
[I-D.ietf-i2nsf-registration-interface-dm]
[I-D.ietf-i2nsf-consumer-facing-interface-dm]
[I-D.ietf-i2nsf-nsf-facing-interface-dm]
[I-D.ietf-i2nsf-nsf-monitoring-data-model]
[I-D.lingga-i2nsf-analytics-interface-dm]

Changes from draft-jeong-opsawg-i2inf-problem-statement-01
The following changes are made from draft-jeong-opsawg-i2inf-problem-statement-01:
- The conents have been updated for further clarification.

Acknowledgments
This work was supported by Institute of Information & Communications Technology Planning & Evaluation (IITP) grant funded by the Korea Ministry of Science and ICT (MSIT) (No. RS-2024-00398199 and RS-2022-II221015).

Contributors
This document is made by the group effort of OPWAWG, greatly benefiting from inputs and texts by Linda Dunbar (Futurewei), Yong-Geun Hong (Daejeon University), and Joo-Sang Youn (Dong-Eui University). The authors sincerely appreciate their contributions.
The following are coauthors of this document:
Mose Gu
Department of Computer Science & Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
rna0415@skku.edu
http://iotlab.skku.edu/people-Moses-Gu.php
Juwon Hong
Department of Computer Science & Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
hongju2024@skku.edu
http://iotlab.skku.edu/people-Joo-Won-Hong.php
Giovanni Venancio
Department of Informatics
Federal University of Parana
Brazil
giovanni@inf.ufpr.br